Subject: [Gen-art] Gen-ART review of draft-ietf-payload-rtp-opus-07

From: Christer Holmberg <[email-masked]>
Date: Fri, 6 Feb 2015 16:24:14 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Document:                         draft-ietf-payload-rtp-opus-07.txt

Reviewer:                           Christer Holmberg

Review Date:                     5 February 2015

IETF LC End Date:             17 February 2015

IETF Telechat Date:         N/A

Summary: The document is well written, and almost ready for publication. However, I do have some editorial comments, which I request to authors to address.

Major Issues: None

Minor Issues: None

Editorial nits: See below

General:

QGEN_1:

Throughout the document, the uses both "The Opus coded", "The Opus speech and audio codec" and "Opus" terminology.

I suggest to use consistent terminology.

For example, if you choose to use "Opus", the first sentence in the Introduction would say:

              "Opus is a speech and audio codec..."

-------------

Section 1:

Q1_1:

In the first sentence, I suggest to add a reference after the first occurrence of "Opus":

"The Opus codec is a..." -> "The Opus codec [RFC6716] is a..."

...or, if you choose to use "Opus" (see QGEN_1):

              "Opus [RFC6716] is a..."

In addition, I suggest to remove the last sentence ("More information on...") of the section.

-------------

Section 3:

Q3_1:

If you add a reference to Opus in section 1 (see Q1_1), it is not needed here.

Q3_2:

I assume the last sentence should say "...transmitting OF stereo signals."?

-------------

Section 3.1:

Q3-1_1:

The last sentence says "...result in higher quality.".

I assume the text refers to audio/speech quality? Would it be useful to explicitly say so?

The same comment applies to "quality" in section 3.1.2.

-------------

Section 6.2:

Q6-2_1: I suggest a new "SDP Considerations" level 1 section, and then to place current section 6.2 below that.

-------------

Section 6.2.1:

Q6-2-1_1: I suggest to rename the section to "SDP Offer/Answer Considerations".

Q6-2-1_2: The section does not define whether/if/how a certain parameter value in an answer is based on the corresponding parameter value in the associated offer.

Regards.

Christer

---

From: Christer Holmberg <[email-masked]>
Date: Sat, 7 Feb 2015 06:53:39 +0000

Hi,

Thanks for the reply! I'm fine with your suggestions. I have one more comment, at the end.

> After consulting with two native English speakers, they told me that 
> "transmitting stereo signals" was the correct way. Ultimately the RFC Editor will have the last word on this.

If native speakers say the current text is correct, I won't argue against that :)

Regarding SDP, I think it would be good to have the ABNF syntax for the a=fmtp parameter (currently you only have descriptive text of the different parameters). It makes the life for the parser implementers much easier :)

Regards,

Christer